------------------------------------------------------------------------
r7826 | mhall | 2011-11-02 15:26:29 +1300 (Wed, 02 Nov 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/Classifier.java

Fixed a bug where the number of execution slots was not getting changed (if the user changed the setting) after an initial run of the flow in question.
------------------------------------------------------------------------
r7827 | mhall | 2011-11-02 20:18:27 +1300 (Wed, 02 Nov 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/explorer/ClassifierPanel.java

Missing space (due to i18n) in predictions output - fixed.
------------------------------------------------------------------------
r7828 | mhall | 2011-11-02 20:19:05 +1300 (Wed, 02 Nov 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/explorer/messages/messages.properties

Missing space in externalized string - fixed.
------------------------------------------------------------------------
r7833 | mhall | 2011-11-03 20:59:42 +1300 (Thu, 03 Nov 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/classifiers/evaluation/ThresholdCurve.java

Now makes sure that a 0,0 point gets included on the curve.
------------------------------------------------------------------------
r7836 | mhall | 2011-11-08 15:46:39 +1300 (Tue, 08 Nov 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/classifiers/bayes/net/EditableBayesNet.java

Fixed a bug (caused indirectly by the change that disallows attributes with the same name in a set of instances) whereby an exception was generated by actions that mutated the values at a node.
------------------------------------------------------------------------
r7849 | mhall | 2011-11-21 13:26:53 +1300 (Mon, 21 Nov 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/experiment/DatabaseUtils.props.postgresql

float4 mapped to getDouble() - fixed so that it maps to getFloat()
------------------------------------------------------------------------
r7867 | mhall | 2011-11-23 14:46:31 +1300 (Wed, 23 Nov 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/Saver.java

Fixed a bug where a class cast exception would occur when receiving training or test set events when the wrapped saver was a DatabaseSaver.
------------------------------------------------------------------------
r7875 | mhall | 2011-11-24 23:00:33 +1300 (Thu, 24 Nov 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/explorer/ClassifierPanel.java

When saving a model now cleanses the header that is serialized with the model of string and relational values.
------------------------------------------------------------------------
r7878 | mhall | 2011-11-24 23:12:09 +1300 (Thu, 24 Nov 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/SerializedModelSaver.java

When saving a model now cleanses the header that is serialized with the model of string and relational values.
------------------------------------------------------------------------
r7880 | mhall | 2011-11-25 08:59:49 +1300 (Fri, 25 Nov 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/filters/Filter.java

The relational locator was holding a reference to a copy of the input data structure that was not cleansed of string attribute values after flushInput() had been called. This resulted in overly large serialized file sizes when string attributes were involved - fixed.
------------------------------------------------------------------------
r7883 | mhall | 2011-11-28 13:06:56 +1300 (Mon, 28 Nov 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/boundaryvisualizer/BoundaryPanel.java

Was preventing negative attribute values from being plotted when all points have values < 1 - fixed.
------------------------------------------------------------------------
r7899 | fracpete | 2011-11-30 15:30:50 +1300 (Wed, 30 Nov 2011) | 3 lines
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/ListSelectorDialog.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/PropertyDialog.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/PropertySelectorDialog.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/experiment/OutputFormatDialog.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/graphvisualizer/GraphVisualizer.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/sql/SqlViewerDialog.java
   M /branches/stable-3-6/weka/src/main/java/weka/gui/visualize/MatrixPanel.java

making use of Java 6's new handling of modality of dialogs: no longer blocking the whole application (ModalityType.APPLICATION_MODAL), but only the window (ModalityType.DOCUMENT_MODAL)
this allows the copying of a base classifier from within a GOE window in the Explorer into a GOE window of the Experimenter - previously, you had to close all the GOE dialogs in the one window before accessing any other
also, the menu in the GUIChooser is no longer blocked when one has a GOE window open somewhere, e.g., the Explorer
------------------------------------------------------------------------
r7904 | fracpete | 2011-11-30 16:11:17 +1300 (Wed, 30 Nov 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/ViewerDialog.java

making use of Java 6's new handling of modality of dialogs: no longer blocking the whole application (ModalityType.APPLICATION_MODAL), but only the window (ModalityType.DOCUMENT_MODAL)
------------------------------------------------------------------------
r7908 | mhall | 2011-11-30 16:29:43 +1300 (Wed, 30 Nov 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/SaverCustomizer.java

Was not reading the password into the password text box when the dialog was opened - fixed.
------------------------------------------------------------------------
r7911 | mhall | 2011-11-30 16:37:33 +1300 (Wed, 30 Nov 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/LoaderCustomizer.java

Was not reading the password into the password text box when the dialog was opened - fixed.
------------------------------------------------------------------------
r7917 | fracpete | 2011-12-01 16:24:47 +1300 (Thu, 01 Dec 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/GenericArrayEditor.java

creates a copy (if possible) of the object before editing it; previously, any changes in the popped up editor immediately modified the array and the "cancel" button didn't work
------------------------------------------------------------------------
r7930 | mhall | 2011-12-13 17:52:57 +1300 (Tue, 13 Dec 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/classifiers/meta/Vote.java

Vote now works properly as well when distributionForInstance() of base classifier does not return a fresh double[] each time it is called (e.g. current version of REPTree).
------------------------------------------------------------------------
r7931 | mhall | 2011-12-13 17:55:28 +1300 (Tue, 13 Dec 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/classifiers/trees/REPTree.java

REPTree now clones array of class probabilities before returning it in distributionForInstance().
------------------------------------------------------------------------
r7947 | mhall | 2011-12-18 22:18:52 +1300 (Sun, 18 Dec 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/Classifier.java

Was not reporting error correctly to the log status when an error occurred during incremental classifier initialization - fixed.
------------------------------------------------------------------------
r7950 | mhall | 2011-12-19 09:44:03 +1300 (Mon, 19 Dec 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/core/converters/ArffSaver.java
   M /branches/stable-3-6/weka/src/main/java/weka/core/converters/CSVSaver.java
   M /branches/stable-3-6/weka/src/main/java/weka/core/converters/LibSVMSaver.java
   M /branches/stable-3-6/weka/src/main/java/weka/core/converters/SVMLightSaver.java

Was not working when destination was set to an output stream - fixed.
------------------------------------------------------------------------
r7953 | mhall | 2011-12-21 21:26:48 +1300 (Wed, 21 Dec 2011) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/attributeSelection/AttributeSelection.java

CV ranking mode was reporting abs(average merit) - fixed.
------------------------------------------------------------------------
r7972 | mhall | 2012-01-05 13:57:58 +1300 (Thu, 05 Jan 2012) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/filters/unsupervised/attribute/StringToWordVector.java

Did not handle relational attributes correctly when producing the output format - fixed.
------------------------------------------------------------------------
r7979 | mhall | 2012-01-15 19:58:45 +1300 (Sun, 15 Jan 2012) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/classifiers/trees/REPTree.java

Merging fix from trunk by Eibe: Fixed bug that was introduced by my last change: empty leaf nodes have m_ClassProbs == null.
------------------------------------------------------------------------
r7981 | mhall | 2012-01-15 20:25:33 +1300 (Sun, 15 Jan 2012) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/classifiers/bayes/BayesianLogisticRegression.java

Fixed a dreaded "repeated attribute name problem" that arose when cross-validation hyperparameter selection was turned on.
------------------------------------------------------------------------
r7982 | mhall | 2012-01-15 20:59:03 +1300 (Sun, 15 Jan 2012) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/classifiers/bayes/BayesianLogisticRegression.java

CV-based hyperparameter selection was non-deterministic due to instances shuffling based on randomization seeded with system time - fixed by adding a seed option.
------------------------------------------------------------------------
r7983 | mhall | 2012-01-15 21:06:47 +1300 (Sun, 15 Jan 2012) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/classifiers/bayes/BayesianLogisticRegression.java

Javadoc update.
------------------------------------------------------------------------
r7984 | mhall | 2012-01-15 21:12:37 +1300 (Sun, 15 Jan 2012) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/classifiers/bayes/BayesianLogisticRegression.java

Default seed value should have been 1 - fixed.
------------------------------------------------------------------------
r7988 | fracpete | 2012-01-19 13:11:46 +1300 (Thu, 19 Jan 2012) | 2 lines
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/core/InstanceComparator.java

comparison loop now exits if values differ (previously, processed all attributes)
string and relational attributes are now handled correctly
------------------------------------------------------------------------
r7991 | fracpete | 2012-01-19 13:25:11 +1300 (Thu, 19 Jan 2012) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/arffviewer/ArffViewerMainPanel.java

saver in saveFile() could be null, hence determining saver now based on extension.
------------------------------------------------------------------------
r8007 | mhall | 2012-01-29 22:02:37 +1300 (Sun, 29 Jan 2012) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/explorer/PreprocessPanel.java

Enabled status of Apply button now takes into account whether the current filter's capabilities reject the current instances when setInputFormat() is called. This allows XMeans to be used with AddCluster as long as unacceptable attributes are ignored using the ignore attributes field - this wasn't working previously. It also means that "No class" no longer has to be set in the drop-down box for AddCluster (since the class attribute gets removed automatically by AddCluster).
------------------------------------------------------------------------
r8008 | mhall | 2012-01-31 21:13:00 +1300 (Tue, 31 Jan 2012) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/classifiers/functions/LibSVM.java

Was printing an incorrect description for the -B option in listOptions(). -B actually turns on probability estimates for classification.
------------------------------------------------------------------------
r8011 | mhall | 2012-02-02 13:46:59 +1300 (Thu, 02 Feb 2012) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/core/converters/LibSVMSaver.java

setOptions was setting the class index after calling super.setOptions, which sets the instances to operate on. This is too late to set the class index - fixed.
------------------------------------------------------------------------
r8030 | mhall | 2012-02-14 16:05:06 +1300 (Tue, 14 Feb 2012) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/Classifier.java

Now checks that a classifier loaded via the popup menu is of the same type as the present classifier.
------------------------------------------------------------------------
r8035 | mhall | 2012-02-16 02:39:54 +1300 (Thu, 16 Feb 2012) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/classifiers/meta/Decorate.java

Restored Prem's original defaults (from the his paper) for number of iterations and desired ensemble size.
------------------------------------------------------------------------
r8037 | mhall | 2012-02-16 08:00:03 +1300 (Thu, 16 Feb 2012) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/classifiers/meta/Decorate.java

Updated setOptions for the default desired size of the ensemble.
------------------------------------------------------------------------
r8069 | mhall | 2012-02-23 11:04:06 +1300 (Thu, 23 Feb 2012) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/filters/unsupervised/attribute/NominalToBinary.java

Now only performs the conversion (thus creating new instance objects and a new data set) when necessary - i.e. when there are actually nominal attributes with more than two values present.
------------------------------------------------------------------------
r8070 | mhall | 2012-02-23 11:05:44 +1300 (Thu, 23 Feb 2012) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/filters/supervised/attribute/NominalToBinary.java

Now only performs the conversion (thus creating new instance objects and a new data set) when necessary - i.e. when there are actually nominal attributes with more than two values present.
------------------------------------------------------------------------
r8088 | mhall | 2012-03-07 14:09:08 +1300 (Wed, 07 Mar 2012) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/filters/supervised/attribute/NominalToBinary.java
   M /branches/stable-3-6/weka/src/main/java/weka/filters/unsupervised/attribute/NominalToBinary.java

Was not checking if numeric output attributes were required when deciding not to transform an already binary attribute - fixed.
------------------------------------------------------------------------
r8094 | mhall | 2012-03-08 11:39:34 +1300 (Thu, 08 Mar 2012) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/filters/supervised/attribute/NominalToBinary.java

output format can be the same object as the input format when no transformations are required.
------------------------------------------------------------------------
r8095 | mhall | 2012-03-08 11:39:49 +1300 (Thu, 08 Mar 2012) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/filters/unsupervised/attribute/NominalToBinary.java

output format can be the same object as the input format when no transformations are required.
------------------------------------------------------------------------
r8100 | mhall | 2012-03-10 21:35:50 +1300 (Sat, 10 Mar 2012) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/classifiers/functions/SMOreg.java

Small change so that the PrecomputedKernelMatrixKernel can be used with SMOreg.
------------------------------------------------------------------------
r8119 | mhall | 2012-03-22 19:23:06 +1300 (Thu, 22 Mar 2012) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/classifiers/rules/JRip.java

Made RipperRule and Antd (and its subclasses) public. Added a getAntds() method to RipperRule.
------------------------------------------------------------------------
r8126 | mhall | 2012-04-11 21:28:17 +1200 (Wed, 11 Apr 2012) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/classifiers/functions/SMOreg.java

Changed .equals() to .equalsIgnoreCase() in getMeasure().
------------------------------------------------------------------------
r8127 | mhall | 2012-04-11 21:29:57 +1200 (Wed, 11 Apr 2012) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/classifiers/trees/LADTree.java

Changed .equals() to .equalsIgnoreCase() in getMeasure().
------------------------------------------------------------------------
r8129 | mhall | 2012-04-12 21:18:47 +1200 (Thu, 12 Apr 2012) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/classifiers/meta/CVParameterSelection.java

Was not allowing lower bounds smaller than 0.0001 - fixed.
------------------------------------------------------------------------
r8180 | mhall | 2012-04-16 22:21:18 +1200 (Mon, 16 Apr 2012) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/classifiers/meta/CVParameterSelection.java

Last change to remove the precision restriction also inadvertently removed the ability to handle integer parameter values - fixed.
------------------------------------------------------------------------
r8278 | mhall | 2012-04-23 08:55:46 +1200 (Mon, 23 Apr 2012) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/filters/supervised/attribute/Discretize.java

Now preserves attribute weight information from the original instances.
------------------------------------------------------------------------
r8281 | mhall | 2012-04-23 08:58:12 +1200 (Mon, 23 Apr 2012) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/filters/unsupervised/attribute/NumericCleaner.java

Was not checking for missing values when applying the decimals conversion, which was resulting in missing value getting converted to 0 - fixed.
------------------------------------------------------------------------
r8284 | mhall | 2012-04-23 21:41:12 +1200 (Mon, 23 Apr 2012) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/filters/unsupervised/attribute/Discretize.java

Now preserves attribute weight information from the original instances.
------------------------------------------------------------------------
r8289 | mhall | 2012-04-23 22:34:20 +1200 (Mon, 23 Apr 2012) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/filters/unsupervised/attribute/MergeTwoValues.java

Now preserves attribute weight information from the original instances.
------------------------------------------------------------------------
r8573 | mhall | 2012-04-26 13:42:57 +1200 (Thu, 26 Apr 2012) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/filters/unsupervised/attribute/NominalToString.java

Now preserves attribute weight information from the original instances.
------------------------------------------------------------------------
r8576 | mhall | 2012-04-26 13:47:10 +1200 (Thu, 26 Apr 2012) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/filters/unsupervised/attribute/NumericToNominal.java

Now preserves attribute weight information from the original instances.
------------------------------------------------------------------------
r8579 | mhall | 2012-04-26 13:50:40 +1200 (Thu, 26 Apr 2012) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/filters/unsupervised/attribute/Obfuscate.java

Now preserves attribute weight information from the original instances.
------------------------------------------------------------------------
r8582 | mhall | 2012-04-26 14:00:28 +1200 (Thu, 26 Apr 2012) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/filters/unsupervised/attribute/StringToNominal.java

Now preserves attribute weight information from the original instances.
------------------------------------------------------------------------
r8585 | mhall | 2012-04-26 14:03:40 +1200 (Thu, 26 Apr 2012) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/filters/unsupervised/attribute/SwapValues.java

Now preserves attribute weight information from the original instances.
------------------------------------------------------------------------
r8590 | mhall | 2012-04-26 14:16:02 +1200 (Thu, 26 Apr 2012) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/filters/unsupervised/instance/RemoveFrequentValues.java

Now preserves attribute weight information from the original instances.
------------------------------------------------------------------------
r8593 | mhall | 2012-04-26 14:21:29 +1200 (Thu, 26 Apr 2012) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/filters/unsupervised/instance/RemoveWithValues.java

Now preserves attribute weight information from the original instances.
------------------------------------------------------------------------
r8597 | mhall | 2012-04-26 14:43:53 +1200 (Thu, 26 Apr 2012) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/core/SerializationHelper.java

Was consuming ClassNotFoundException in readAll - these are now passed on.
------------------------------------------------------------------------
r8896 | mhall | 2012-05-01 12:10:26 +1200 (Tue, 01 May 2012) | 1 line
Changed paths:
   M /branches/stable-3-6/weka/src/main/java/weka/gui/beans/CostBenefitAnalysis.java

Now uses threshold to color the cost/benefit curve.
------------------------------------------------------------------------
